Subject: bug#3233: 23.0.93; [NS] Regression in x-display-pixel-width

From: David Reitter <[email-masked]>
Date: Fri, 22 May 2009 00:21:51 -0400

This gives me the width of the current display, not the total multi- 
monitor width:

(x-display-pixel-width
  (get-device-terminal (frame-parameter (selected-frame) 'display)))

same with the more elegant version that Stefan pointed out:

(x-display-pixel-width (selected-frame))

I think that this is buggy (on NS), because the terminal is the same.
ns_get_screen() indeed uses dpyinfo->x_focus_frame and ignores the  
screen argument for purposes of calculating the width.  I don't really  
see how the pre-2009-05-06 code would have achieved anything more  
useful.